| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
IP_SGPIO_001_T Struct Reference
IP: SGPIO register block and driver

## Detailed Description

Serial GPIO register block structure.

Definition at line 51 of file sgpio_001.h.

`#include "sgpio_001.h"`

## Data Fields
__IO uint32_t | OUT_MUX_CFG [16]
__IO uint32_t | SGPIO_MUX_CFG [16]
__IO uint32_t | SLICE_MUX_CFG [16]
__IO uint32_t | REG [16]
__IO uint32_t | REG_SS [16]
__IO uint32_t | PRESET [16]
__IO uint32_t | COUNT [16]
__IO uint32_t | POS [16]
__IO uint32_t | MASK_A
__IO uint32_t | MASK_H
__IO uint32_t | MASK_I
__IO uint32_t | MASK_P
__I uint32_t | GPIO_INREG
__IO uint32_t | GPIO_OUTREG
__IO uint32_t | GPIO_OENREG
__IO uint32_t | CTRL_ENABLED
__IO uint32_t | CTRL_DISABLED
__I uint32_t | RESERVED0 [823]
__O uint32_t | CLR_EN_0
__O uint32_t | SET_EN_0
__I uint32_t | ENABLE_0
__I uint32_t | STATUS_0
__O uint32_t | CTR_STATUS_0
__O uint32_t | SET_STATUS_0
__I uint32_t | RESERVED1 [2]
__O uint32_t | CLR_EN_1
__O uint32_t | SET_EN_1
__I uint32_t | ENABLE_1
__I uint32_t | STATUS_1
__O uint32_t | CTR_STATUS_1
__O uint32_t | SET_STATUS_1
__I uint32_t | RESERVED2 [2]
__O uint32_t | CLR_EN_2
__O uint32_t | SET_EN_2
__I uint32_t | ENABLE_2
__I uint32_t | STATUS_2
__O uint32_t | CTR_STATUS_2
__O uint32_t | SET_STATUS_2
__I uint32_t | RESERVED3 [2]
__O uint32_t | CLR_EN_3
__O uint32_t | SET_EN_3
__I uint32_t | ENABLE_3
__I uint32_t | STATUS_3
__O uint32_t | CTR_STATUS_3
__O uint32_t | SET_STATUS_3

## Field Documentation

__O uint32_t CLR_EN_0

Shift clock interrupt clear mask

Definition at line 70 of file sgpio_001.h.

__O uint32_t CLR_EN_1

Capture clock interrupt clear mask

Definition at line 77 of file sgpio_001.h.

__O uint32_t CLR_EN_2

Pattern match interrupt clear mask

Definition at line 84 of file sgpio_001.h.

__O uint32_t CLR_EN_3

Input interrupt clear mask

Definition at line 91 of file sgpio_001.h.

__IO uint32_t COUNT[16]

Down counter, counts down each clock cycle.

Definition at line 58 of file sgpio_001.h.

__O uint32_t CTR_STATUS_0

Shift clock interrupt clear status

Definition at line 74 of file sgpio_001.h.

__O uint32_t CTR_STATUS_1

Capture clock interrupt clear status

Definition at line 81 of file sgpio_001.h.

__O uint32_t CTR_STATUS_2

Pattern match interrupt clear status

Definition at line 88 of file sgpio_001.h.

__O uint32_t CTR_STATUS_3

Input bit match interrupt clear status

Definition at line 95 of file sgpio_001.h.

__IO uint32_t CTRL_DISABLED

Disables the slice COUNT counter

Definition at line 68 of file sgpio_001.h.

__IO uint32_t CTRL_ENABLED

Enables the slice COUNT counter

Definition at line 67 of file sgpio_001.h.

__I uint32_t ENABLE_0

Shift clock interrupt enable

Definition at line 72 of file sgpio_001.h.

__I uint32_t ENABLE_1

Capture clock interrupt enable

Definition at line 79 of file sgpio_001.h.

__I uint32_t ENABLE_2

Pattern match interrupt enable

Definition at line 86 of file sgpio_001.h.

__I uint32_t ENABLE_3

Input bit match interrupt enable

Definition at line 93 of file sgpio_001.h.

__I uint32_t GPIO_INREG

GPIO input status register

Definition at line 64 of file sgpio_001.h.

__IO uint32_t GPIO_OENREG

GPIO OE control register

Definition at line 66 of file sgpio_001.h.

__IO uint32_t GPIO_OUTREG

GPIO output control register

Definition at line 65 of file sgpio_001.h.

__IO uint32_t MASK_A

Mask for pattern match function of slice A

Definition at line 60 of file sgpio_001.h.

__IO uint32_t MASK_H

Mask for pattern match function of slice H

Definition at line 61 of file sgpio_001.h.

__IO uint32_t MASK_I

Mask for pattern match function of slice I

Definition at line 62 of file sgpio_001.h.

__IO uint32_t MASK_P

Mask for pattern match function of slice P

Definition at line 63 of file sgpio_001.h.

__IO uint32_t OUT_MUX_CFG[16]

< SGPIO Structure Pin multiplexer configurationregisters.

Definition at line 52 of file sgpio_001.h.

__IO uint32_t POS[16]

Each time COUNT0 reaches 0x0

Definition at line 59 of file sgpio_001.h.

__IO uint32_t PRESET[16]

Reload valueof COUNT0, loaded when COUNT0 reaches 0x0

Definition at line 57 of file sgpio_001.h.

__IO uint32_t REG[16]

Slice data registers. Eachtime COUNT0 reaches 0x0 the register shifts loading bit 31 withdata captured from DIN(n). DOUT(n) is set to REG(0)

Definition at line 55 of file sgpio_001.h.

__IO uint32_t REG_SS[16]

Slice data shadow registers. Each time POSreaches 0x0 the contents of REG_SS is exchanged with the contentof REG

Definition at line 56 of file sgpio_001.h.

__I uint32_t RESERVED0[823]

Definition at line 69 of file sgpio_001.h.

__I uint32_t RESERVED1[2]

Definition at line 76 of file sgpio_001.h.

__I uint32_t RESERVED2[2]

Definition at line 83 of file sgpio_001.h.

__I uint32_t RESERVED3[2]

Definition at line 90 of file sgpio_001.h.

__O uint32_t SET_EN_0

Shift clock interrupt set mask

Definition at line 71 of file sgpio_001.h.

__O uint32_t SET_EN_1

Capture clock interrupt set mask

Definition at line 78 of file sgpio_001.h.

__O uint32_t SET_EN_2

Pattern match interrupt set mask

Definition at line 85 of file sgpio_001.h.

__O uint32_t SET_EN_3

Input bit match interrupt set mask

Definition at line 92 of file sgpio_001.h.

__O uint32_t SET_STATUS_0

Shift clock interrupt set status

Definition at line 75 of file sgpio_001.h.

__O uint32_t SET_STATUS_1

Capture clock interrupt set status

Definition at line 82 of file sgpio_001.h.

__O uint32_t SET_STATUS_2

Pattern match interrupt set status

Definition at line 89 of file sgpio_001.h.

__O uint32_t SET_STATUS_3

Shift clock interrupt set status

Definition at line 96 of file sgpio_001.h.

__IO uint32_t SGPIO_MUX_CFG[16]

SGPIO multiplexer configuration registers.

Definition at line 53 of file sgpio_001.h.

__IO uint32_t SLICE_MUX_CFG[16]

Slice multiplexer configuration registers.

Definition at line 54 of file sgpio_001.h.

__I uint32_t STATUS_0

Shift clock interrupt status

Definition at line 73 of file sgpio_001.h.

__I uint32_t STATUS_1

Capture clock interrupt status

Definition at line 80 of file sgpio_001.h.

__I uint32_t STATUS_2

Pattern match interrupt status

Definition at line 87 of file sgpio_001.h.

__I uint32_t STATUS_3

Input bit match interrupt status

Definition at line 94 of file sgpio_001.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/sgpio_001.h